Page MenuHomePhabricator

Send HTTP stats about eventlogging-service to statsd [3 pts]
Closed, ResolvedPublic

Description

Request response rates, timing (maybe?) errors, etc.

Not sure of the best way to do this. Maybe there is some plug in for tornado to just do this? Or...we can change web frameworks pretty easily I'm sure, if we should.

Event Timeline

Ottomata created this task.Nov 17 2015, 5:15 PM
Ottomata claimed this task.
Ottomata raised the priority of this task from to Normal.
Ottomata updated the task description. (Show Details)
Ottomata added subscribers: Milimetric, Nuria, madhuvishy.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptNov 17 2015, 5:15 PM
madhuvishy moved this task from Next Up to In Progress on the Analytics-Kanban board.
madhuvishy edited subscribers, added: Ottomata; removed: madhuvishy.

Change 258029 had a related patch set uploaded (by Madhuvishy):
Send service stats to graphite

https://gerrit.wikimedia.org/r/258029

Change 258029 merged by Ottomata:
Send service stats to graphite

https://gerrit.wikimedia.org/r/258029

Milimetric renamed this task from Send HTTP stats about eventlogging-service to statsd to Send HTTP stats about eventlogging-service to statsd [3 pts].Dec 15 2015, 5:10 PM
Ottomata closed this task as Resolved.Dec 18 2015, 8:38 PM